unit uFacturasProveedorViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils, uEditorFacturasProveedor,  uEditorFacturaProveedor,
  uEditorElegirDomiciliacion, uEditorElegirArticulosFacturaProveedor,
  uEditorFacturasProveedorReport;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorElegirDomiciliacion, 'EditorElegirDomiciliacion');
  EditorRegistry.RegisterClass(TfEditorFacturasProveedor, 'EditorFacturasProveedor');
  EditorRegistry.RegisterClass(TfEditorFacturaProveedor, 'EditorFacturaProveedor');
  EditorRegistry.RegisterClass(TfEditorElegirArticulosFacturaProveedor, 'EditorElegirArticulosFacturaProveedor');
  EditorRegistry.RegisterClass(TfEditorFacturasProveedorPreview, 'EditorFacturasProveedorPreview');
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorElegirDomiciliacion);
  EditorRegistry.UnRegisterClass(TfEditorFacturasProveedor);
  EditorRegistry.UnRegisterClass(TfEditorFacturaProveedor);
  EditorRegistry.UnRegisterClass(TfEditorElegirArticulosFacturaProveedor);
  EditorRegistry.UnRegisterClass(TfEditorFacturasProveedorPreview);
end;

end.
